UbuntuUpdates.org

Package "zlib"

Name: zlib

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • compression library - 32 bit runtime
  • compression library - 32 bit - DO NOT USE EXCEPT FOR PACKAGING
  • compression library - x32 runtime
  • compression library - x32 - DO NOT USE EXCEPT FOR PACKAGING

Latest version: 1:1.2.11.dfsg-2ubuntu1.3
Release: focal (20.04)
Level: security
Repository: main

Links



Other versions of "zlib" in Focal

Repository Area Version
base main 1:1.2.11.dfsg-2ubuntu1
updates main 1:1.2.11.dfsg-2ubuntu1.3
proposed main 1:1.2.11.dfsg-2ubuntu1.4

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1:1.2.11.dfsg-2ubuntu1.3 2022-03-30 16:06:21 UTC

  zlib (1:1.2.11.dfsg-2ubuntu1.3) focal-security; urgency=medium

  * SECURITY UPDATE: memory corruption when deflating
    - debian/patches/CVE-2018-25032-1.patch: fix a bug that can crash
      deflate on some input when using Z_FIXED in deflate.c, deflate.h.
    - debian/patches/CVE-2018-25032-2.patch: assure that the number of bits
      for deflatePrime() is valid in deflate.c.
    - CVE-2018-25032

 -- Marc Deslauriers <email address hidden> Sat, 26 Mar 2022 14:20:54 -0400

CVE-2018-25032 zlib 1.2.11 allows memory corruption when deflating (i.e., when compressing) if the input has many distant matches.



About   -   Send Feedback to @ubuntu_updates